# +----------------------------------------------------------------------------------------------+ #
# |                        _____                      _____                                      | #
# |                       |_   _|_                   |_   _|     _                               | #
# |                         | | | |                    | |      (_)                              | #
# |                         | | | |_ ___  _ __ ___     | | ____  _ ____                          | #
# |                         | | | __/ _ \| '_ ` _ \ _  | |/ _  \| |  _ \                         | #
# |                        _| |_| ||  __/| | | | | | |_| | (_|  | | | | |                        | #
# |                       |_____|\__\___||_|_| |_|_|\____/\____/|_|_| |_|                        | #
# |                                                                                              | #
# |                      ItemJoin's Configuration Settings, by RockinChaos                       | #
# |                                                                                              | #
# |     Source Code:     https://github.com/RockinChaos/ItemJoin                                 | #
# |     Bug Reports:     https://github.com/RockinChaos/ItemJoin/issues                          | #
# |     Wiki (Docs):     https://github.com/RockinChaos/ItemJoin/wiki                            | #
# |     Discord Support: https://discord.gg/D5FnJ7C                                              | #
# |                                                                                              | #
# +----------------------------------------------------------------------------------------------+ #

# Modifying the Version will cause this file to break and regenerate.
config-Version: 8

# At the moment, the available language translations are; English, Russian, French, Dutch, Spanish, Chinese, Traditional Chinese.
# If you want to contribute to a language translation please create a pull request; https://github.com/RockinChaos/ItemJoin/tree/master/src/main/resources/files/locales
Language: 'English'

# These are typically general maintenance settings that do not affect functionality.
General:
  CheckforUpdates: true
  Metrics-Logging: true
  Log-Commands: true
  ignoreErrors: false
  ignoreDepend: NONE
  Debugging: false

# These settings are optional as a database file is generated by default, or you can set up MySQL database connections.
Database:
  MySQL: false
  database: 'database_name'
  prefix: 'ij_'
  host: 127.0.0.1
  port: 3306
  user: 'root'
  pass: 'password'

# These settings will take effect globally throughout the plugins' system.
Settings:
  HeldItem-Slot: -1
  HeldItem-Triggers: JOIN, WORLD-SWITCH
  HeldItem-Animations: true
  Default-Triggers: JOIN
  DataTags: true

# These permissions if enabled, determine whether the permission(s) is/are applied to certain players.
Permissions:
  Obtain-Items: false
  Obtain-Items-OP: false
  Commands-Get: false
  Commands-OP: false
  Movement-Bypass: false

# If enabled this will clear items from their inventory upon performing the specified action for the specified type.
# The available types(s) are ALL for all items or ITEMJOIN for only the ItemJoin items.
Clear-Items:
  Type: ITEMJOIN
  Delay-Tick: 2
  Join: false
  Quit: false
  World-Switch: false
  Region-Enter: false
  Options: PROTECT, PROTECT_OP, PROTECT_CREATIVE
  Blacklist: '{id:BEDROCK}, {slot:9}, {name:Blazefury}'

# This is the command(s) executed upon the player performing the defined trigger(s), for the specified world(s).
Active-Commands:
  commands:
    - 'console: itemjoin get devine-item %player%'
    - 'message: &cWelcome to the server %player%!'
    - 'player: gamemode survival'
    - 'first-join: say This is a command only executed once per world, per player.'
  commands-sequence: SEQUENTIAL
  triggers: JOIN
  enabled-worlds: DISABLED

# This determines if the action is allowed for all items in the specified worlds.
# To disable an action, simply set the action to true for all worlds or list each world separated by a comma.
Prevent:
  Chat: false
  Pickups: false
  itemMovement: false
  Self-Drops: false
  Death-Drops: false
  Bypass: CREATIVE, OP